Japanese new era "Reiwa(令和)" support

Bug #1827451 reported by Ikuya Awashiro on 2019-05-03
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
libreoffice (Ubuntu)
Undecided
Unassigned
Xenial
High
Marcus Tomlinson
Bionic
High
Marcus Tomlinson
Cosmic
High
Marcus Tomlinson
libreoffice-l10n (Ubuntu)
Undecided
Unassigned
Cosmic
High
Marcus Tomlinson

Bug Description

Japanese new era "Reiwa(令和)" has began at 2019-05-01.
These patches add Reiwa support for Libreoffice Bionic/Xenial.

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: libreoffice (not installed)
ProcVersionSignature: Ubuntu 4.18.0-18.19~18.04.1-generic 4.18.20
Uname: Linux 4.18.0-18-generic x86_64
ApportVersion: 2.20.9-0ubuntu7.6
Architecture: amd64
CurrentDesktop: ubuntu:GNOME
Date: Fri May 3 10:44:42 2019
InstallationDate: Installed on 2018-07-21 (285 days ago)
InstallationMedia: Ubuntu 18.04 LTS "Bionic Beaver" - Release amd64(20180506.1)
SourcePackage: libreoffice
UpgradeStatus: No upgrade log present (probably fresh install)

[Impact]

 * This effects all users who use the Japanese era date format in LibreOffice.

 * The fix is currently in LibreOffice 6.2.3 on eoan.

[Test Case]

 1. Start Calc
 2. Put "01/05/2019" into a cell
 3. Right-click on the cell and select "Format Cells"
 4. Set “Language" to "Japanese"
 5. Set “Format" to "H11.12.31"
 6. Cell should show "R1.05.01" (not "N1.05.01”)
 7. Set “Format" to "平成11年12月31日"
 8. Cell should show "令和1年5月1日" (not "平成31年5月1日")

[Regression Potential]

 * The fix is minor so potential for regression is low.

 * A combination of autopkgtests and manual testing as described above should provide reasonable confidence that no regressions sneaked in.

The attachment "libreoffice_6.0.7-reiwa-support.debdiff" seems to be a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. If the attachment isn't a patch, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are member of the ~ubuntu-sponsors, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issue please contact him.]

tags: added: patch
Olivier Tilloy (osomon) on 2019-05-03
Changed in libreoffice (Ubuntu):
status: New → Fix Released
Changed in libreoffice (Ubuntu Xenial):
assignee: nobody → Marcus Tomlinson (marcustomlinson)
Changed in libreoffice (Ubuntu Bionic):
assignee: nobody → Marcus Tomlinson (marcustomlinson)
Changed in libreoffice (Ubuntu Xenial):
status: New → Triaged
Changed in libreoffice (Ubuntu Bionic):
status: New → Triaged
Olivier Tilloy (osomon) wrote :

Note that this patch is in the upcoming 6.1.6 release, which will be SRU'd independently to cosmic when it's out.

Changed in libreoffice (Ubuntu Cosmic):
assignee: nobody → Marcus Tomlinson (marcustomlinson)
status: New → Triaged
description: updated
Changed in libreoffice (Ubuntu Xenial):
importance: Undecided → High
Changed in libreoffice (Ubuntu Bionic):
importance: Undecided → High
Changed in libreoffice (Ubuntu Cosmic):
importance: Undecided → High
Olivier Tilloy (osomon) on 2019-05-08
Changed in libreoffice (Ubuntu Bionic):
status: Triaged → In Progress
Changed in libreoffice (Ubuntu Xenial):
status: Triaged → In Progress
Changed in libreoffice (Ubuntu Cosmic):
status: Triaged → In Progress
no longer affects: libreoffice-l10n (Ubuntu Bionic)
no longer affects: libreoffice-l10n (Ubuntu Xenial)
Changed in libreoffice-l10n (Ubuntu):
status: New → Fix Released
Changed in libreoffice-l10n (Ubuntu Cosmic):
status: New → In Progress
importance: Undecided → High
assignee: nobody → Marcus Tomlinson (marcustomlinson)

Hello Ikuya, or anyone else affected,

Accepted libreoffice into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libreoffice/1:6.1.6-0ubuntu0.18.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in libreoffice (Ubuntu Cosmic):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-cosmic
Changed in libreoffice-l10n (Ubuntu Cosmic):
status: In Progress → Fix Committed
Łukasz Zemczak (sil2100) wrote :

Hello Ikuya, or anyone else affected,

Accepted libreoffice-l10n into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libreoffice-l10n/1:6.1.6-0ubuntu0.18.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Upgraded libreoffice to 1:6.1.6-0ubuntu0.18.10.1 from cosmic-proposed in a clean and up-to-date cosmic amd64 VM, and successfully ran test plan at https://wiki.ubuntu.com/Process/Merges/TestPlans/libreoffice.

tags: added: verification-done-cosmic
removed: verification-needed-cosmic

Unfortunately the upgrade from 6.1.5 to 6.1.6 is actually broken. My apologies for the false verification. I will prepare a fix asap.

tags: added: verification-failed-cosmic
removed: verification-done-cosmic

Is this really a sufficient test case? It seems to me like there should be extra work put in to making sure the glyphs also appear correctly on date formatting, to show, for example:

令和1年5月1日

Which is achieved by setting the Cell Format appropriately, in the same way as above.

> Is this really a sufficient test case?

Yes."R" means "令和".

If you want to show "令和1年5月1日", they should be

 5. Set “Format" to "平成11年12月31日"
 6. Cell should show "令和1年5月1日" (not "Naruhito1年5月1日”or "平成31年5月1日")

Łukasz Zemczak (sil2100) wrote :

Hello Ikuya, or anyone else affected,

Accepted libreoffice into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libreoffice/1:6.1.6-0ubuntu0.18.10.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

tags: added: verification-needed-cosmic
removed: verification-failed-cosmic
Łukasz Zemczak (sil2100) wrote :

Hello Ikuya, or anyone else affected,

Accepted libreoffice-l10n into cosmic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libreoffice-l10n/1:6.1.6-0ubuntu0.18.10.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-cosmic to verification-done-cosmic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-cosmic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Upgraded libreoffice from 1:6.1.5-0ubuntu0.18.10.1 to 1:6.1.6-0ubuntu0.18.10.2 from cosmic-proposed in a clean and up-to-date cosmic amd64 VM, and successfully ran test plan at https://wiki.ubuntu.com/Process/Merges/TestPlans/libreoffice.

description: updated
tags: added: verification-done-cosmic
removed: verification-needed-cosmic

Ikuya,

My point is that I think both should be checked; it's not quite the same code, and selecting "R" correctly isn't the same as selecting "令和1" correctly -- both options exist, so a solid test plan to ensure the bug is fixed should include verifying both options.

Agreed, thanks for the input Ikuya and Mathieu. With your help, I updated the [Test Case] section of the description. This was before carrying out the verification of this fix in comment #13 of course.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libreoffice - 1:6.1.6-0ubuntu0.18.10.2

---------------
libreoffice (1:6.1.6-0ubuntu0.18.10.2) cosmic; urgency=medium

  [ Marcus Tomlinson ]
  * New upstream release (LP: #1828210)
  * Japanese new era "Reiwa" support (LP: #1827451)
  * Fix libreoffice-ogltrans 'Replaces' version in libreoffice-impress (LP: #1828683)

  [ Rene Engelhard ]
  * debian/control.gtk3.in:
    - make libreoffice-gtk3 recommend gstreamer1.0-gtk3 (LP: #1820062)

 -- Marcus Tomlinson <email address hidden> Sun, 12 May 2019 08:50:41 +0100

Changed in libreoffice (Ubuntu Cosmic):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for libreoffice has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libreoffice-l10n - 1:6.1.6-0ubuntu0.18.10.2

---------------
libreoffice-l10n (1:6.1.6-0ubuntu0.18.10.2) cosmic; urgency=medium

  [ Marcus Tomlinson ]
  * New upstream release (LP: #1828210)
  * Japanese new era "Reiwa" support (LP: #1827451)
  * Fix libreoffice-ogltrans 'Replaces' version in libreoffice-impress (LP: #1828683)

  [ Rene Engelhard ]
  * debian/control.gtk3.in:
    - make libreoffice-gtk3 recommend gstreamer1.0-gtk3 (LP: #1820062)

 -- Marcus Tomlinson <email address hidden> Sun, 12 May 2019 08:50:41 +0100

Changed in libreoffice-l10n (Ubuntu Cosmic):
status: Fix Committed → Fix Released

Hello Ikuya, or anyone else affected,

Accepted libreoffice into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libreoffice/1:6.0.7-0ubuntu0.18.04.6 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in libreoffice (Ubuntu Bionic):
status: In Progress → Fix Committed
tags: added: verification-needed-bionic
Łukasz Zemczak (sil2100) wrote :

Hello Ikuya, or anyone else affected,

Accepted libreoffice into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/libreoffice/1:5.1.6~rc2-0ubuntu1~xenial7 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in libreoffice (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed-xenial

Upgraded libreoffice from 1:5.1.6~rc2-0ubuntu1~xenial6 to 1:5.1.6~rc2-0ubuntu1~xenial7 from xenial-proposed in a clean and up-to-date xenial amd64 VM, and verified that the [Test Case] now passes.

tags: added: verification-done-xenial
removed: verification-needed-xenial

Upgraded libreoffice from 1:6.0.7-0ubuntu0.18.04.5 to 1:6.0.7-0ubuntu0.18.04.6 from bionic-proposed in a clean and up-to-date bionic amd64 VM, and verified that the [Test Case] now passes.

tags: added: verification-done-bionic
removed: verification-needed-bionic
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libreoffice - 1:6.0.7-0ubuntu0.18.04.6

---------------
libreoffice (1:6.0.7-0ubuntu0.18.04.6) bionic; urgency=medium

  [ Ikuya Awashiro ]
  * debian/patches/new-japanese-era-name.patch (LP: #1827451):
    Add new Japanse era name "Reiwa" support which taken from upstream:
    https://cgit.freedesktop.org/libreoffice/core/commit/?id=cacbb0faef77ae8462de9ff5c7307a6a2e28b2bb
    https://cgit.freedesktop.org/libreoffice/core/commit/?id=597c5d75b8e72d429e096535334eaac7973455ef

  [ Olivier Tilloy ]
  * debian/patches/java.vendor-Ubuntu.patch: update to also recognize
    "Private Build" as java.vendor (for custom PPA builds) (LP: #1822839)
  * debian/patches/java.vendor-Ubuntu.patch: also make jvmfwk recognize
    "Ubuntu" as java.vendor (LP: #1822839)

  [ Rene Engelhard ]
  * debian/patches/java.vendor-Debian.diff: make jvmfwk recognize "Debian"
    as java.vendor as that's what is set in openjdk 11 >= 11.0.3+4-2
    - see #926009 (closes: #926318) (LP: #1822839)
  * debian/control.gtk3.in:
    - make libreoffice-gtk3 recommend gstreamer1.0-gtk3 (LP: #1820062)

 -- Marcus Tomlinson <email address hidden> Tue, 07 May 2019 12:35:49 +0100

Changed in libreoffice (Ubuntu Bionic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libreoffice - 1:5.1.6~rc2-0ubuntu1~xenial7

---------------
libreoffice (1:5.1.6~rc2-0ubuntu1~xenial7) xenial; urgency=medium

  [ Ikuya Awashiro ]
  * debian/patches/new-japanese-era-name.patch (LP: #1827451):
    Add new Japanse era name "Reiwa" support which taken from upstream:
    https://cgit.freedesktop.org/libreoffice/core/commit/?id=cacbb0faef77ae8462de9ff5c7307a6a2e28b2bb
    https://cgit.freedesktop.org/libreoffice/core/commit/?id=597c5d75b8e72d429e096535334eaac7973455ef

   [ Olivier Tilloy ]
   * debian/patches/java.vendor-Ubuntu.patch: update to also recognize
     "Private Build" as java.vendor (for custom PPA builds) (LP: #1822839)
   * debian/patches/java.vendor-Ubuntu.patch: also make jvmfwk recognize
     "Ubuntu" as java.vendor (LP: #1822839)

   [ Rene Engelhard ]
   * debian/patches/java.vendor-Debian.diff: make jvmfwk recognize "Debian"
     as java.vendor as that's what is set in openjdk 11 >= 11.0.3+4-2
     - see #926009 (closes: #926318) (LP: #1822839)

 -- Marcus Tomlinson <email address hidden> Fri, 03 May 2019 15:40:44 +0100

Changed in libreoffice (Ubuntu Xenial):
status: Fix Committed → Fix Released
tags: added: id-5ccb134f178dcb256e668c1d
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers